#!/usr/bin/env python
# encoding: utf-8
"""
iasi_cache.py

Created by Keoni on 2007-11-29.
Copyright (c) 2007 University of Wisconsin SSEC. All rights reserved.

Setting up a cache:
Create database
initialize database
create IASI_cache directory on SAN
get upstream directory set up

ssh -L5432:bora2:5432 ash
python -m iasi_cache --iasi-db=postgres://rayg:c@nnab1s@localhost/iasi_cache 

requires miscellaneous routines from keoni 0.3.4 or better (see larch.ssec.wisc.edu)

"""

_CVS_IDENT = "$Id: iasi_cache.py,v 1.124 2008/08/18 21:38:21 rayg Exp $"

import sys
import os
import logging
import uuid

LOG = logging.getLogger( __name__ )

# url of the iasi_cache database tables 
# NOTE: This is the new database running 8.3.1 postgres from rayg account on bora2
DATABASE_URL='postgres://iasi:fanDang0@bora2:8310/iasi_cache'
GUEST_DATABASE_URL='postgres://guest:guest@bora2:8310/iasi_cache'   # only has SELECT permission
TEST_DATABASE_URL='postgres://iasi:fanDang0@localhost/iasi_cache'   # ssh -L5432:bora2:8310 ash

# to forward:  ssh -L5432:bora2:5432 ash ; then use postgres://rayg:c@nnab1s@localhost/iasi_cache
# url base of the upstream system to fetch data from
UPSTREAM_FTP=('woodstock.ssec.wisc.edu','iasi')
# cache location
CACHE_RSYNC = 'rsync://sands/tmp/IASI_cache/'
# upload location for cache
CACHE_RSYNC_PUT = 'rsync://sands03/tmp/IASI_cache/'
# location to put intermediate survey results
SURVEY_RSYNC = 'rsync://sands03/tmp/IASI_survey/'

# shopping list location
SHOPPING_LIST = [ ('monkey.ssec.wisc.edu','/pub/bobk/iasi_get/%Y%m%d', None), 
                        ('monkey.ssec.wisc.edu', '/pub/matg/iasi_get', 'intercal'),
                        ('monkey.ssec.wisc.edu', '/pub/conus/iasi_get/%Y%m%d', 'conus')
                        ]

# table of 100km bounding boxes for shorthand   
BOUNDING_BOXES = {  '@OklaSGP': ((-98.04920730656876,37.06499010217319),(-96.89634291147591,36.13135227557171)),
                    '@GermanAMF': ((7.646912489616895,48.96710374916844),(9.101434140114478,48.05762680018339)),
                    '@Barrow': ((-158.2279333139098,71.78060887593111),(-155.0889435678581,70.85094454701283)),
                    '@Atqasuk': ((-158.8359854994256,70.92571804795735),(-156.0540912423565,70.00603964974033)),
                    '@Darwin': ((130.378691691424,-11.96356998088413),(131.3814484263436,-12.88426950602361)),
                    '@Nauru': ((166.4607554744285,-0.05992719477063417),(167.3887785129353,-0.9859409032155942))
                    }
